### Hierarchy

- LoginForm

## Index

### Properties

- errorMessage
- forgotPasswordLabel
- forgotPasswordUrl
- host
- loginShouldOccur
- passwordLabel
- submitLabel
- usernameLabel

### Methods

- loginHandler
- render

## Properties

### errorMessage

errorMessage: string

- Defined in login-form/login-form.tsx:16

### forgotPasswordLabel

forgotPasswordLabel: string = "Forgot password?"

- Defined in login-form/login-form.tsx:14

### forgotPasswordUrl

forgotPasswordUrl: string

- Defined in login-form/login-form.tsx:15

### host

host: HTMLElement

- Defined in login-form/login-form.tsx:9

### loginShouldOccur

loginShouldOccur: EventEmitter

- Defined in login-form/login-form.tsx:18

### passwordLabel

passwordLabel: string = "Password"

- Defined in login-form/login-form.tsx:12

### submitLabel

submitLabel: string = "Login"

- Defined in login-form/login-form.tsx:13

### usernameLabel

usernameLabel: string = "Username"

- Defined in login-form/login-form.tsx:11

## Methods

### loginHandler

- loginHandler(): void

- - Defined in login-form/login-form.tsx:20

  #### Returns void

### render

- render(): Element

- - Defined in login-form/login-form.tsx:26

  #### Returns Element